KD SOAP API Documentation: KDSoapPendingCall Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
KDSoapPendingCall Class Reference

`#include <KDSoapPendingCall.h>`

Inheritance diagram for KDSoapPendingCall:
[legend]

## Classes
class | Private

## Public Member Functions
| KDSoapPendingCall (const KDSoapPendingCall &other)
| ~KDSoapPendingCall ()
bool | isFinished () const
KDSoapPendingCall & | operator= (const KDSoapPendingCall &other)
KDSoapHeaders | returnHeaders () const
KDSoapMessage | returnMessage () const
QVariant | returnValue () const

## Detailed Description

The KDSoapPendingCall class refers to one pending asynchronous call

A KDSoapPendingCall object is a reference to a SOAP method call that was sent over without waiting for a reply. KDSoapPendingCall is an opaque type, meant to be used as a handle for a pending reply.

The KDSoapPendingCallWatcher class allows one to connect to a signal that will indicate when the reply has arrived or if an error occurred.

Note
  If you create a copy of a KDSoapPendingCall object, all information will be shared among the many copies. Therefore, KDSoapPendingCall is an explicitly-shared object and does not provide a method of detaching the copies (since they refer to the same pending call)

See also
  KDSoapClientInterface::asyncCall()

Definition at line 38 of file KDSoapPendingCall.h.

## Constructor & Destructor Documentation

## ◆ KDSoapPendingCall()

KDSoapPendingCall::KDSoapPendingCall | ( | const KDSoapPendingCall & | other | ) |

Creates a copy of the `other` pending asynchronous call. Note that both objects will refer to the same pending call.

Definition at line 138 of file KDSoapPendingCall.cpp.

## ◆ ~KDSoapPendingCall()

KDSoapPendingCall::~KDSoapPendingCall | ( |  | ) |

Destroys this copy of the KDSoapPendingCall object.

Warning
  If this copy is also the last copy of a pending asynchronous call, the call will be canceled and no further notifications will be received.

Definition at line 143 of file KDSoapPendingCall.cpp.

## Member Function Documentation

## ◆ isFinished()

bool KDSoapPendingCall::isFinished | ( |  | ) | const

Returns `true` if the pending call has finished processing and the reply has been received.

Note
  This function only changes state if an external event happens, which in general only happens if you return to the event loop execution.

You generally do not need to use this: use KDSoapPendingCallWatcher to be notified of the call completion.

Definition at line 153 of file KDSoapPendingCall.cpp.

## ◆ operator=()

KDSoapPendingCall & KDSoapPendingCall::operator= | ( | const KDSoapPendingCall & | other | ) |

Creates a copy of the `other` pending asynchronous call and drops the reference to the previously-referenced call. Note that both objects will refer to the same pending call after this function.

Warning
  If this object contained the last reference of a pending asynchronous call, the call will be canceled and no further notifications will be received.

Definition at line 147 of file KDSoapPendingCall.cpp.

## ◆ returnHeaders()

KDSoapHeaders KDSoapPendingCall::returnHeaders | ( |  | ) | const

Returns the response headers sent by the server.

Definition at line 164 of file KDSoapPendingCall.cpp.

## ◆ returnMessage()

KDSoapMessage KDSoapPendingCall::returnMessage | ( |  | ) | const

Returns the response message sent by the server. Could either be a fault (see KDSoapMessage::isFault) or the actual response arguments.

Definition at line 158 of file KDSoapPendingCall.cpp.

## ◆ returnValue()

QVariant KDSoapPendingCall::returnValue | ( |  | ) | const

Helper method for the simple case where a single argument is returned: Returns the value of that single argument.

Definition at line 170 of file KDSoapPendingCall.cpp.

The documentation for this class was generated from the following files:

- KDSoapPendingCall.h
- KDSoapPendingCall.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8